## org.codehaus.groovy.grails.plugins
Class GrailsPluginManagerFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.plugins.GrailsPluginManagerFactoryBean

All Implemented Interfaces:
  FactoryBean, InitializingBean, ApplicationContextAware

    public class GrailsPluginManagerFactoryBean

extends Object
implements FactoryBean, InitializingBean, ApplicationContextAware

A factory bean for loading the GrailsPluginManager instance

Since:
  0.4
Author:
  Graeme Rocher

Constructor Summary
`GrailsPluginManagerFactoryBean()`

Method Summary
`void` `afterPropertiesSet()`
`Object` `getObject()`
`Class` `getObjectType()`
`boolean` `isSingleton()`
`void` `setApplication(GrailsApplication application)`
`void` `setApplicationContext(ApplicationContext applicationContext)`
`void` `setGrailsDescriptor(Resource grailsDescriptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsPluginManagerFactoryBean

    public GrailsPluginManagerFactoryBean()

Method Detail

### setApplication

    public void setApplication(GrailsApplication application)

  Parameters:
    `application` - the application to set

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `FactoryBean`

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### setGrailsDescriptor

    public void setGrailsDescriptor(Resource grailsDescriptor)

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)
                               throws BeansException

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`
  Throws:
    `BeansException`

Copyright (c) 2005-2009 The Grails project